Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 84299 - New version of FreeNX (0.4.0) is availible
Summary: New version of FreeNX (0.4.0) is availible
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
: 93295 (view as bug list)
Depends on:
Blocks: 63757
  Show dependency tree
 
Reported: 2005-03-06 06:04 UTC by Jon Severinsson
Modified: 2005-05-23 12:09 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
FreeNX 0.3.0 ebuild (nxserver-freenx-0.3.0.ebuild,2.86 KB, text/plain)
2005-03-06 06:06 UTC, Jon Severinsson
Details
Updated 0.3.1 ebuild (nxserver-freenx-0.3.1.ebuild,2.68 KB, text/plain)
2005-05-04 05:14 UTC, Jon Severinsson
Details
FreeNX 0.4.0-pre1 ebuild (nxserver-freenx-0.4.0_pre1.ebuild,2.74 KB, text/plain)
2005-05-04 05:27 UTC, Jon Severinsson
Details
FreeNX 0.4.0 ebuild (nxserver-freenx-0.4.0.ebuild,2.73 KB, text/plain)
2005-05-07 00:42 UTC, Jon Severinsson
Details
Fixed 0.4.0 ebuild (nxserver-freenx-0.4.0.ebuild,2.74 KB, text/plain)
2005-05-15 04:22 UTC, Jon Severinsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Severinsson 2005-03-06 06:04:05 UTC
There is now a new 0.3.0 version of FreeNX. It is featuring all the security enhancements of 0.2.8 and a lot of new features. As it now supports a node.conf configuration file, the 0.2.8 ebuild can not just be version-bumped, but some aditional changes must be made.

Reproducible: Always
Steps to Reproduce:
1. emerge -av nxserver-freenx
Actual Results:  
Install of 0.2.8 is starting

Expected Results:  
Install of 0.3.0 should be starting
Comment 1 Jon Severinsson 2005-03-06 06:06:13 UTC
Created attachment 52783 [details]
FreeNX 0.3.0 ebuild

This is a proposed 0.3.0 ebuild. It works for me at least...
Comment 2 Jon Severinsson 2005-03-21 03:56:17 UTC
FreeNX 0.3.1 is now released. It is a pure bugfix release, no new feature and no security enhancements (no security problems found since 0.2.8).
Version bumping my 0.3.0 ebuild works just fine for me.
Comment 3 Rafal Dejewski 2005-04-10 11:57:43 UTC
Thanks Jon! This ebuild bumped to 0.3.1 works nicely. This version has fixed my keyboard layout problem.
Comment 4 Jon Severinsson 2005-05-04 05:14:49 UTC
Created attachment 58028 [details]
Updated 0.3.1 ebuild

Mainly updates to dependancies and readability.
Comment 5 Jon Severinsson 2005-05-04 05:27:12 UTC
Created attachment 58029 [details]
FreeNX 0.4.0-pre1 ebuild

FreeNX is soon to release 0.4.0, this is a ebuild for the prerelease.
It should not be included in portage tree, but it may come in handy if you want
to test 0.4.0.
Due to problems with the current nxclient ebuild you'll need my updated ebuild
from Bug #91409 for print support (with or without the other updated ebuilds in
that bug).
Comment 6 Jon Severinsson 2005-05-07 00:42:54 UTC
Created attachment 58254 [details]
FreeNX 0.4.0 ebuild

FreeNX 0.4.0 is released.
As with the snapshot you need the updated nxclient for print support if you use
the "commercial" useflag.
Comment 7 flo 2005-05-13 11:27:58 UTC
the same happens with 0.3.1 and 0.4.0:

emerge --oneshot --newuse -avulD $(qpkg -I -nc)

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild     UD] net-misc/nxserver-freenx-0.3.1 [0.4.0] +commercial 0 kB [1]

Total size of downloads: 0 kB
Portage overlays:
 [1] /usr/local/portage


Do you want me to merge these packages? [Yes/No]
>>> emerge (1 of 1) net-misc/nxserver-freenx-0.3.1 to /
>>> md5 files   ;-) nxserver-freenx-0.3.1.ebuild
>>> md5 files   ;-) files/digest-nxserver-freenx-0.3.1
>>> md5 files   ;-) files/digest-nxserver-freenx-0.4.0
>>> md5 src_uri ;-) freenx-0.3.1.tar.gz
>>> Unpacking source...
>>> Unpacking freenx-0.3.1.tar.gz to /var/tmp/portage/nxserver-freenx-0.3.1/work
 * Applying gentoo-nomachine.diff ...                                                               [ ok ]
>>> Source unpacked.
 * Nothing to compile
>>> Test phase [not enabled]: net-misc/nxserver-freenx-0.3.1

>>> Install nxserver-freenx-0.3.1 into /var/tmp/portage/nxserver-freenx-0.3.1/image/ category net-misc
chmod: cannot access `/var/tmp/portage/nxserver-freenx-0.3.1/image//usr/NX/home/nx': No such file or directory
/usr/lib/portage/bin/fperms: at least two arguments needed
chmod: cannot access `/var/tmp/portage/nxserver-freenx-0.3.1/image//usr/NX/home/nx/.ssh/server.id_dsa.pub.key': No such file or directory
cp: cannot stat `/var/tmp/portage/nxserver-freenx-0.3.1/image//usr/NX/home/nx/.ssh/server.id_dsa.pub.key': No such file or directory
chmod: cannot access `/var/tmp/portage/nxserver-freenx-0.3.1/image//usr/NX/home/nx/.ssh/authorized_keys2': No such file or directory
127.0.0.1 /var/tmp/portage/nxserver-freenx-0.3.1/image//usr/NX/home/nx/.ssh/known_hostsman:
prepallstrip:
strip: i686-pc-linux-gnu-strip --strip-unneeded
strip: i686-pc-linux-gnu-strip --strip-unneeded
>>> Completed installing nxserver-freenx-0.3.1 into /var/tmp/portage/nxserver-freenx-0.3.1/image/

>>> Merging net-misc/nxserver-freenx-0.3.1 to /
--- /usr/
--- /usr/NX/
--- /usr/NX/bin/
>>> /usr/NX/bin/nxloadconfig
>>> /usr/NX/bin/nxkeygen
>>> /usr/NX/bin/nxserver
>>> /usr/NX/bin/nxnode
>>> /usr/NX/bin/nxsetup
>>> /usr/NX/bin/nxnode-login
--- /usr/NX/etc/
>>> /usr/NX/etc/users.id_dsa.pub
>>> /usr/NX/etc/passwords
>>> /usr/NX/etc/node.conf.sample
>>> /usr/NX/etc/users.id_dsa
>>> /usr/NX/etc/passwords.orig
--- /usr/NX/var/
--- /usr/NX/var/db/
--- /usr/NX/var/db/running/
>>> /usr/NX/var/db/running/.keep
--- /usr/NX/var/db/closed/
>>> /usr/NX/var/db/closed/.keep
--- /usr/NX/var/db/failed/
>>> /usr/NX/var/db/failed/.keep
>>> /server.id_dsa.pub.key
 * Caching service dependencies...
>>> net-misc/nxserver-freenx-0.3.1 merged.

 * GNU info directory index is up-to-date.


emerge info:
Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130, glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r8 i686)
=================================================================
System uname: 2.6.11-gentoo-r8 i686 Intel(R) Pentium(R) M processor 1500MHz
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Apr 28 2005, 02:45:42)]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="no"
CFLAGS="-march=pentium3 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac acl acpi alsa apache2 apm arts avi berkdb bitmap-fonts bonobo cdparanoia cdr commercial crypt cups curl dga divx4linux dv dvd dvdr dvdread edl eds encode esd faad fam flac foomaticdb fortran fpx gd gdbm gif gimp gimpprint gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml icq imagemagick imap imlib ipv6 jabber java javascript jbig jpeg jpeg2k junit kde ldap libg++ libwww live lzo lzw lzw-tiff mad maildir matroska mikmod mmx mmx2 mng monkey motif mozilla mp3 mpeg mpeg4 mysql ncurses nls nodrm nptl nptlonly odbc ogg oggvorbis opengl oss pam pdflib perl plotutils png postgres ppds python qt quicktime readline real ruby samba sasl scanner sdl server slang slp speex spell sse ssl svg svga tcltk tcpd tetex tga theora tiff transcode truetype truetype-fonts type1-fonts unicode usb v4l v4l2 vorbis wifi wmf xanim xine xinerama xml xml2 xmms xprint xv xvid xvmc yv12 zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS

Comment 8 Jon Severinsson 2005-05-15 04:22:53 UTC
Created attachment 58945 [details]
Fixed 0.4.0 ebuild

Sorry, silly mistake. Fixed now. 
(I got a fixed 0.3.1 ebuild too if you are interested)
Comment 9 Stuart Herbert (RETIRED) gentoo-dev 2005-05-22 15:54:44 UTC
*** Bug 93295 has been marked as a duplicate of this bug. ***
Comment 10 Stuart Herbert (RETIRED) gentoo-dev 2005-05-23 12:09:13 UTC
Okay, nxserver-freenx-0.4.0 won't resume suspended sessions for me.  However,
older versions didn't work too well at that either ;-)

I've added this to the tree.  It should appear on your local rsync mirror in
about an hour.  If you could give it a test, that'd be great.

Best regards,
Stu